
Katello - Feature #5377

[20] Upgrade to Pulp 2.4

04/22/2014 04:36 AM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

----

Imported from https://trello.com/c/7zWmSzgD/346-20-upgrade-to-pulp-2-4_

Related issues:

Blocked by Katello - Support #5179: Get a baseline for content view performance Closed 04/14/2014

Associated revisions

Revision dbafdcbd - 05/01/2014 05:30 PM - David Davis

Refs #5377 - Fixing the reset task to use apache now

The pulp-manage-db script must now be run as apache and not root.

Revision bb032392 - 05/01/2014 06:17 PM - David Davis

Merge pull request #4031 from daviddavis/temp/20140501133003

Refs #5377 - Fixing the reset task to use apache now

Revision 6931ad92 - 05/02/2014 04:43 PM - David Davis

Refs #5377 - Comment out consumer tests until pulp fixes consumer API

Revision 4bb08e20 - 05/02/2014 04:50 PM - Justin Sherrill

Refs #5377 - ensure qpidd is started before running pulp-manage-db

also check for pulp-manage-db failure and error if it does

Revision 774b785a - 05/02/2014 05:37 PM - Justin Sherrill

Merge pull request #4036 from jlsherrill/pulp-2.4

Refs #5377 - ensure qpidd is started before running pulp-manage-db

Revision 5afb17af - 05/02/2014 06:29 PM - Justin Sherrill

Refs #5377 - adapting to new pulp task structure

enables dynflow repo create and sync

Revision f73ac28d - 05/02/2014 06:52 PM - David Davis

Merge pull request #4037 from daviddavis/temp/20140502114027

Refs #5377 - Comment out consumer tests until pulp fixes consumer API

Revision 9d78f4bc - 05/02/2014 06:54 PM - David Davis

Refs #5377 - Fixing content types test
Revision ca9f893e - 05/02/2014 07:03 PM - Justin Sherrill

Merge pull request #4039 from jlsherrill/pulp-2.4

Refs #5377 - adapting to new pulp task structure

Revision b49ec9b6 - 05/02/2014 08:42 PM - David Davis

Merge pull request #4040 from daviddavis/temp/20140502145424

Refs #5377 - Fixing content types test

Revision eed29e16 - 05/05/2014 03:11 PM - David Davis

Refs #5377 - Fix the repository support class

Revision 390e640f - 05/05/2014 05:31 PM - Justin Sherrill

Refs #5377 - Fixing repository glue tests for pulp 2.4

Revision 5eaa8479 - 05/05/2014 07:57 PM - Justin Sherrill

Merge pull request #4047 from jlsherrill/pulp-2.4

Refs #5377 - Fixing repository glue tests for pulp 2.4

Revision f3ffb99e - 05/06/2014 05:00 PM - Justin Sherrill

Refs #5377 - fixing applicability regeneration for pulp 2.4

Revision 7a89dcdc - 05/06/2014 05:44 PM - Justin Sherrill

Refs #5377 - adding consumer support for pulp 2.4

Revision 9b7bab9e - 05/06/2014 05:44 PM - Justin Sherrill

Refs #5377 - fixing task status spec tests

Revision 91ac22be - 05/06/2014 07:33 PM - Justin Sherrill

Merge pull request #4052 from jlsherrill/pulp-2.4

Refs #5377 - fixing applicability regeneration for pulp 2.4

Revision 0bb36e26 - 05/09/2014 04:23 PM - Justin Sherrill

Refs #5377 - adapting services we restart based on pulp team advice

Revision 1b61506a - 05/09/2014 10:51 PM - Justin Sherrill

Merge pull request #4064 from jlsherrill/pulp-2.4

Refs #5377 - adapting services we restart based on pulp team advice

Revision d1b4bbdb - 05/13/2014 02:05 PM - David Davis

Refs #5377 - Working on Pulp 2.4 tests

Revision e466c7ae - 05/13/2014 02:20 PM - Eric Helms

Refs #5377: Updates for Pulp 2.4 support.

Revision 9d19aed1 - 05/13/2014 07:26 PM - David Davis

Refs #5377 - Fixing progress report bug

Revision 3e1151df - 05/13/2014 08:07 PM - Justin Sherrill

Merge pull request #4075 from daviddavis/temp/20140513152635

Refs #5377 - Fixing progress report bug

Revision c32ec235 - 05/13/2014 08:39 PM - Justin Sherrill

Refs #5377 - fixing puppet module upload
Revision d03ccf2e - 05/13/2014 09:23 PM - Justin Sherrill

Merge pull request #4078 from jlsherrill/pulp-2.4

Refs #5377 - fixing puppet module upload

Revision 464405ce - 05/14/2014 12:06 AM - Justin Sherrill

Refs #5377 - adding task example and fixing canceled tasks

Revision 6cb39c90 - 05/14/2014 02:43 PM - Justin Sherrill

Merge pull request #4083 from jlsherrill/pulp-2.4

Refs #5377 - adding task example and fixing canceled tasks as showing failed

Revision 80361c2b - 05/15/2014 04:02 PM - Eric Helms

Refs #5377: Updates to support newer version of Qpid.

Revision e25f13eb - 05/15/2014 07:50 PM - Justin Sherrill

Refs #5377 - updating comps for pulp 2.4

Revision 0cee51b9 - 05/15/2014 08:24 PM - Justin Sherrill

Merge pull request #4090 from jlsherrill/pulp-2.4-comps

Refs #5377 - updating comps for pulp 2.4

Revision e38dbb94 - 05/16/2014 12:23 AM - Justin Sherrill

Refs #5377 - updating cassettes for 2.4.0-0.14

Revision a557feac - 05/16/2014 02:12 AM - Justin Sherrill

Merge pull request #4100 from jlsherrill/pulp-2.4

Refs #5377 - updating for pulp 2.4.0-0.14

Revision 6807115d - 05/16/2014 09:39 AM - Eric Helms

Merge pull request #4 from ehelms/refs-5377

Refs #5377: Updates to support newer version of Qpid.

Revision 8348d8b0 - 05/16/2014 09:39 AM - Eric Helms

Merge pull request #15 from ehelms/refs-5377

Refs #5377: Updates for Pulp 2.4 support.

Revision 221e1a69 - 05/16/2014 08:30 PM - Eric Helms

Refs #5377: Ensure Pulp 2.4 services are run after config.

Revision a60a9280 - 05/16/2014 08:32 PM - Eric Helms

Merge pull request #16 from ehelms/refs-5377

Refs #5377: Ensure Pulp 2.4 services are run after config.

Revision d594bf81 - 05/16/2014 10:25 PM - Justin Sherrill

Refs #5377 - comps update for pulp-celery

Revision 6d7d14fc - 05/16/2014 10:26 PM - Justin Sherrill

Merge pull request #4109 from jlsherrill/comps

Refs #5377 - comps update for pulp-celery

Revision 321a89c7 - 05/16/2014 10:52 PM - Justin Sherrill

Refs #5377 - comps update for python-billiard
Revision 4c6fb895 - 05/16/2014 10:54 PM - Justin Sherrill

Merge pull request #4110 from jlsherrill/comps

Refs #5377 - comps update for python-billiard

Revision 62494930 - 05/16/2014 11:01 PM - Justin Sherrill

Refs #5377 - comps update for anyjson and amqp

Revision cb7874b9 - 05/16/2014 11:02 PM - Justin Sherrill

Merge pull request #4111 from jlsherrill/comps

Refs #5377 - comps update for anyjson and amqp

Revision 897798ae - 05/17/2014 12:35 AM - Eric Helms

Merge pull request #61 from ehelms/refs-5377

Refs #5377: Pulp 2.4 installation updates.

History

#1 - 04/22/2014 04:37 AM - Mike McCune

- Assignee set to David Davis

- Target version set to 43

- Triaged set to Yes

#2 - 04/22/2014 01:30 PM - David Davis

- Blocked by Support #5179: Get a baseline for content view performance added

#3 - 04/24/2014 09:40 PM - Mike McCune

- Target version changed from 43 to 44

#4 - 04/24/2014 10:07 PM - David Davis

- Status changed from New to Assigned

#5 - 05/20/2014 01:04 PM - David Davis

- Status changed from Assigned to Resolved

#6 - 05/20/2014 01:04 PM - David Davis

- Status changed from Resolved to Closed

#7 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
